LL2_WRITE_ENTRY(3)

NAME
ll2_write_entry - Writes a new entry into the database.

SYNOPSIS

#include <lastlog2.h>

int ll2_write_entry (struct ll2_context *context, const char *user, int64_t ll_time, const char *tty, const char *rhost, const char *pam_service, char **error);

DESCRIPTION

Writes a new entry into database, which is defined in context. If context is NULL, the default database, defined in LL2_DEFAULT_DATABASE, will be taken.

    time_t login_time = time(0); // Get the system time
    char   *error = NULL;
    const  char *user = "root";

    int ret = ll2_write_entry (NULL, user, login_time, "pts/0",
                                "192.168.122.1", NULL, &error);

pam_service is the service or instance name which has generated the entry (optional).

RETURN VALUE

Returns 0 on success, -ENOMEM or -1 on other failure. error contains an error string if the return value is -1. error is not guaranteed to contain an error string, could also be NULL. error should be freed by the caller.

AUTHORS

Thorsten Kukuk (

SEE ALSO

lastlog2(3), ll2_new_context(3), *ll2_unref_context(3), *ll2_read_all(3), ll2_read_entry(3), ll2_update_login_time(3), ll2_remove_entry(3), ll2_rename_user(3), ll2_import_lastlog(3)

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The liblastlog2 library is part of the util-linux package since version 2.40. It can be downloaded from